=== PKGBUILD ===
# Maintainer: David Runge <dvzrv@archlinux.org>

pkgname=sound-gambit
pkgver=0.7
pkgrel=3
pkgdesc="Audio File Peak Limiter"
arch=(x86_64)
url="https://github.com/x42/sound-gambit"
license=(GPL3)
groups=(pro-audio)
depends=(
  gcc-libs
  glibc
  libsndfile
)
source=($url/archive/v$pkgver/$pkgname-v$pkgver.tar.gz)
sha512sums=('2d701b7c2f855b9f3e04764b7d64595bdd5a2cafb1cccb5a1bb1ffb9afa8baa52c57085b442c769154feeb5da468430c190145f12056458b230a36ce8c7c5057')
b2sums=('b4de703324d6a41b5f02981131ff40c593cc66099c17b497ee16004c3353b67d91633abce9dad461c54c0930e7803470d9f25c644a4f87b9bf71c46e0a8148be')

build() {
  make -C $pkgname-$pkgver
}

package() {
  make PREFIX=/usr DESTDIR="$pkgdir/" install -C $pkgname-$pkgver
  install -vDm 644 $pkgname-$pkgver/README.md -t "$pkgdir/usr/share/doc/$pkgname"
}
